# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ pkgconfig(gstreamer-0.10)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		knowthelist
Version:	2.3.1
Release:	alt1_5
Summary:	An awesome party music player
License:	LGPLv3+
Group:		Sound
URL:		https://knowthelist.github.io/knowthelist/
Source0:	https://github.com/knowthelist/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		knowthelist-2.3.1-complete-french-translation.patch
BuildRequires:	qt5-designer qt5-tools
BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(taglib)

Requires:	gst-plugins-base1.0
Requires:	gst-plugins-ugly1.0
Requires:	gst-plugins-good1.0
Requires:	gst-plugins-bad1.0
Requires:	libqt5-sql
Source44: import.info

%description
Knowthelist is an awesome party music player.

Features:

  - Easy to use for all party guests.
  - Quick search for tracks in collection.
  - Two players with separate playlists.
  - Mixer with fader, 3 channel EQ and gain.
  - Auto fader and auto gain.
  - Trackanalyser search for song start/end and gain setting.
  - Auto DJ function with multiple filters for random play.
  - Monitor player for pre listen tracks (via 2nd sound card e.g. USB).

%prep
%setup -q
%patch0 -p1


%build
%qmake_qt5 %{name}.pro

%make_build

%install
%makeinstall_std INSTALL_ROOT=%{buildroot}

# added translations files
mkdir -p %{buildroot}%{_datadir}/%{name}/locale
install -m 0644 locale/%{name}*.qm %{buildroot}%{_datadir}/%{name}/locale/

%files
%doc LICENSE README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Tue Apr 12 2022 Cronbuild Service <cronbuild@altlinux.org> 2.3.1-alt1_5
- update by mgaimport

* Fri Dec 25 2020 Igor Vlasenko <viy@altlinux.ru> 2.3.1-alt1_4
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 2.3.1-alt1_3
- update by mgaimport

* Wed Apr 10 2019 Igor Vlasenko <viy@altlinux.ru> 2.3.1-alt1_2
- update by mgaimport

* Thu Jan 24 2019 Igor Vlasenko <viy@altlinux.ru> 2.3.1-alt1_1
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 2.3.0-alt1_5
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 2.3.0-alt1_4
- new version

